Requirements / Preconditions / Suggested Environment

From ActionApps Documentation
Jump to: navigation, search

Contents

Hardware Requirements

The ActionApps can run on every computer which runs one of the supported operating systems.

There is probably a minimum requirement in terms of processor speed and amount of memory. If the ActionApps run on a single computer (including the MySQL database back end), it should be no less than a 200 MHz processor and 64 MByte of RAM.

Software Requirements

Note: There are instructions for the installation of all software modules but the operating system in the next chapter: Installation of other packages needed by the ActionApps which also contains instructions on how to check the version numbers of installed packages.

Operating System

The primary supported operating system is GNU/Linux. However, the ActionApps should run on any unix or unix-like operating system which can run all the other software components. The ActionApps are being developed and tested on Red Hat Linux from 6.0 to 9 (Apache v1, v2), so it is recommended to use this OS. This installation guide has a strong focus on Red Hat Linux.

It is known that ActionApps also run on FreeBSD 2.2.7. Quite a few people are also running personal AA instalation under Windows using phpdev environment.

Database Server

An SQL database server is needed by the ActionApps in order to store all the information. The only supported SQL server so far is the MySQL database server. The data is organized in several tables in the database. ActionApps need one logical database within the database server. The server can be used for other applications/database as well.

The database server does not need to be on the same machine as the other components are.

ActionApps need at least MySQL version 3.22.32. Older version may work but have not been tested, and they contain known security holes.

If you want to use a different database server than MySQL, for example, if you have already a database server running, you will have to do some porting work. ActionApps were written with database back end portability in mind, and as little as possible MySQL specific functions were used. It is important that there is PHP support for the database server you want to use.

Permission System

Most people will use their Database Server as their permission system -- storing passwords and permissions in mysql.

If you want to use LDAP as the permission system, you should refer to apc-aa ldap page

WWW (http) Server

The ActionApps have been developed and tested with the apache http server. Other http servers might work, too, but there are some things to consider:

  • The ActionApps relay on a feature in the apache http server which allows to pass GET parameters (query strings) to scripts which are run from a SSI (server side include) command in a page. It is known that the Microsoft Internet Information Server prior to version 5, for example, does not do that. At a certain point (apc-aa ver. 2.6) Action Apps were ported to run under Zeus web server - but this compatibility probabaly not going to be maintained in the future.
  • The apache http server can be configured to load PHP as a module. This speeds things up a lot because the PHP interpreter does not have to be loaded every time a PHP script runs. ActionApps work in CGI mode as well, though.
  • Apache needs the apache-devel module as well.

PHP

ActionApps are written in PHP. The minimum version to use should be PHP 4.2.0. Older versions of APC-AA should work on anything from PHP 3.0.7, but there are no guarrantees since we no longer test on versions pre 4.2.0.

PHP can be build as a module for the apache http server or as a standalone program. The first way is preferred for performance reasons.

Your PHP needs optional modules:

  • A module is needed to access your SQL database. For example, if you are using MySQL as the database, you need the MySQL module for PHP.
  • It is recommended to install the GD module to support image manipulation. PHP >= 4.3.0 comes with complied-in GD support, for the earlier version consult "patching PHP for gd 2.0.8 and up".
  • If you are using LDAP as the permission system, you need the LDAP module for PHP.

The modules can be

  • compiled into PHP or
  • loaded at run time.

Both ways are described in the PHP installation section.

Know-How Requirements

To install the ActionApps, you will need some basic unix skills. You should have installed programs before and be familiar with administration of your system.

Personal tools
Namespaces

Variants
Actions
Navigation
Tools